#include <dht.h>
#include <DHT.h>
#include "DHT.h"
#define dht_apin A0 // Analog Pin sensor is connected to
 
dht DHT;
#define RELAY1  6                        
#define RELAY2  7                        
#define RELAY3  8                        
#define RELAY4  9 
#define temp_power 3
void setup(){
  pinMode(RELAY1, OUTPUT);       
  pinMode(RELAY2, OUTPUT);
  pinMode(RELAY3, OUTPUT);
  pinMode(RELAY4, OUTPUT); 
  pinMode(temp_power, OUTPUT);
  Serial.begin(9600);
  delay(500);//Delay to let system boot
  Serial.println("DHT11 Humidity & temperature Sensor\n\n");
  delay(1000);//Wait before accessing Sensor
 
}


void loop(){
    //Start of Program 
    digitalWrite(temp_power, HIGH);
    DHT.read11(dht_apin);
    
    Serial.print("Current humidity = ");
    Serial.print(DHT.humidity);
    Serial.print("%  ");
    Serial.print("temperature = ");
    Serial.print(DHT.temperature); 
    Serial.println("C  ");
    delay(2000);                        //Wait 2 seconds before accessing sensor again.
    if(DHT.temperature<70)
    {
      digitalWrite(RELAY1,HIGH);
      digitalWrite(RELAY2,HIGH);   
      digitalWrite(RELAY3,HIGH);   
      digitalWrite(RELAY4,HIGH);   
     }
    //Fastest should be once every two seconds.
    if(DHT.temperature>70)
    {
      digitalWrite(RELAY1,LOW);
      digitalWrite(RELAY2,LOW);
      digitalWrite(RELAY3,LOW);
      digitalWrite(RELAY4,LOW);  
    }         
}
